aboutsummaryrefslogtreecommitdiffstats
path: root/cron-sh
diff options
context:
space:
mode:
authorFrederic Lepied <flepied@mandriva.com>2002-09-03 06:57:23 +0000
committerFrederic Lepied <flepied@mandriva.com>2002-09-03 06:57:23 +0000
commit4a6f85e67a2030fe38b860fedb6628433bcabeb5 (patch)
tree310043ae0bf5f913a6dcb9674e871c6c0c6b2d70 /cron-sh
parent7479e4317511d83c372c554023434009e9519ceb (diff)
downloadmsec-4a6f85e67a2030fe38b860fedb6628433bcabeb5.tar
msec-4a6f85e67a2030fe38b860fedb6628433bcabeb5.tar.gz
msec-4a6f85e67a2030fe38b860fedb6628433bcabeb5.tar.bz2
msec-4a6f85e67a2030fe38b860fedb6628433bcabeb5.tar.xz
msec-4a6f85e67a2030fe38b860fedb6628433bcabeb5.zip
CHECK_SUID_GROUP => CHECK_SGID
Diffstat (limited to 'cron-sh')
-rwxr-xr-xcron-sh/diff_check.sh12
-rwxr-xr-xcron-sh/security.sh16
2 files changed, 14 insertions, 14 deletions
diff --git a/cron-sh/diff_check.sh b/cron-sh/diff_check.sh
index ac7c10c..084de68 100755
--- a/cron-sh/diff_check.sh
+++ b/cron-sh/diff_check.sh
@@ -38,16 +38,16 @@ if [[ ${CHECK_SUID_ROOT} == yes ]]; then
fi
-### New Suid group files detection
-if [[ ${CHECK_SUID_GROUP} == yes ]]; then
+### New Sgid files detection
+if [[ ${CHECK_SGID} == yes ]]; then
- if [[ -f ${SUID_GROUP_YESTERDAY} ]]; then
- if ! diff -u ${SUID_GROUP_YESTERDAY} ${SUID_GROUP_TODAY} > ${SUID_GROUP_DIFF}; then
+ if [[ -f ${SGID_YESTERDAY} ]]; then
+ if ! diff -u ${SGID_YESTERDAY} ${SGID_TODAY} > ${SGID_DIFF}; then
printf "\nSecurity Warning: Changes in Sgid files found :\n" >> ${TMP}
- grep '^+' ${SUID_GROUP_DIFF} | grep -vw "^+++ " | sed 's|^.||' | while read file; do
+ grep '^+' ${SGID_DIFF} | grep -vw "^+++ " | sed 's|^.||' | while read file; do
printf "\t\t- Newly added sgid file : ${file}\n"
done >> ${TMP}
- grep '^-' ${SUID_GROUP_DIFF} | grep -vw "^--- " | sed 's|^.||' | while read file; do
+ grep '^-' ${SGID_DIFF} | grep -vw "^--- " | sed 's|^.||' | while read file; do
printf "\t\t- No longer present sgid file : ${file}\n"
done >> ${TMP}
fi
diff --git a/cron-sh/security.sh b/cron-sh/security.sh
index 7c51395..efafc32 100755
--- a/cron-sh/security.sh
+++ b/cron-sh/security.sh
@@ -40,9 +40,9 @@ umask ${UMASK_ROOT=077}
export SUID_ROOT_TODAY="/var/log/security/suid_root.today"
SUID_ROOT_YESTERDAY="/var/log/security/suid_root.yesterday"
SUID_ROOT_DIFF="/var/log/security/suid_root.diff"
-export SUID_GROUP_TODAY="/var/log/security/suid_group.today"
-SUID_GROUP_YESTERDAY="/var/log/security/suid_group.yesterday"
-SUID_GROUP_DIFF="/var/log/security/suid_group.diff"
+export SGID_TODAY="/var/log/security/sgid.today"
+SGID_YESTERDAY="/var/log/security/sgid.yesterday"
+SGID_DIFF="/var/log/security/sgid.diff"
export SUID_MD5_TODAY="/var/log/security/suid_md5.today"
SUID_MD5_YESTERDAY="/var/log/security/suid_md5.yesterday"
SUID_MD5_DIFF="/var/log/security/suid_md5.diff"
@@ -87,8 +87,8 @@ if [[ -f ${SUID_ROOT_TODAY} ]]; then
mv ${SUID_ROOT_TODAY} ${SUID_ROOT_YESTERDAY};
fi
-if [[ -f ${SUID_GROUP_TODAY} ]]; then
- mv ${SUID_GROUP_TODAY} ${SUID_GROUP_YESTERDAY};
+if [[ -f ${SGID_TODAY} ]]; then
+ mv ${SGID_TODAY} ${SGID_YESTERDAY};
fi
if [[ -f ${WRITABLE_TODAY} ]]; then
@@ -137,9 +137,9 @@ if [[ -f ${SUID_ROOT_TODAY} ]]; then
mv -f ${SUID_ROOT_TODAY}.tmp ${SUID_ROOT_TODAY}
fi
-if [[ -f ${SUID_GROUP_TODAY} ]]; then
- sort < ${SUID_GROUP_TODAY} > ${SUID_GROUP_TODAY}.tmp
- mv -f ${SUID_GROUP_TODAY}.tmp ${SUID_GROUP_TODAY}
+if [[ -f ${SGID_TODAY} ]]; then
+ sort < ${SGID_TODAY} > ${SGID_TODAY}.tmp
+ mv -f ${SGID_TODAY}.tmp ${SGID_TODAY}
fi
if [[ -f ${WRITABLE_TODAY} ]]; then